# GeoSphere - MapServer (WMS)

This repository holds the configuration files necessary to build a docker
image and helm chart for running a MapServer server in a containerized
environment. The important parts of the repository are discussed below.

* GitLab Project: https://gitlab.ssec.wisc.edu/cspp_geo/geosphere/geosphere-mapserver
* Image Registry: https://gitlab.ssec.wisc.edu/cspp_geo/geosphere/geosphere-mapserver/container_registry
* Chart Registry: https://gitlab.ssec.wisc.edu/cspp_geo/geosphere/geosphere-mapserver/container_registry
* Issue Tracker: https://gitlab.ssec.wisc.edu/cspp_geo/geosphere/geosphere-mapserver/-/issues

* `chart`: Configuration and definition of a helm chart that combines the
  other parts of this repository into a Kubernetes installable helm chart.
  See `chart/README.md` for more information.
* `mapserver`: Docker configuration for the main MapServer image. See
  the `README.md` file inside for more information.
* `.gitlab-ci.yml`: Continuous Integration configuration to build and test the
  docker images in this repository and build the helm chart. Images and charts
  are uploaded to the registries (see links above). This configuration also
  triggers deployment of the application by starting the CI processing in the
  [geosphere-deploy](https://gitlab.ssec.wisc.edu/cspp_geo/geosphere/geosphere-deploy/)
  repository. See that repository for more information about the operation
  and test deployment of the GeoSphere application.
