#!/usr/bin/env bash

debug() {
    >&2 echo "DEBUG: $@"
}

error() {
    >&2 echo "ERROR: $@"
    exit 1
}

if [[ $# -ne 2 ]]; then
    error "Usage: ./test_mapserver_image.sh <image_url> <image_tag>"
fi

image_url=$1
image_tag=$2
exit_status=0

# Test Basic Mapfile Render
debug "Starting test docker container (${image_url}:${image_tag})..."
docker run --rm -d --name test -p 8888:80 ${image_url}:${image_tag} || exit_status=1
# just wait a bit to let the server start
sleep 2
debug "Container started. Starting curl basic request..."
curl --max-time 5 "http://localhost:8888/" >/dev/null || exit_status=1
debug "Curl complete. Killing docker container..."
docker kill test
debug "Done killing docker container."

exit $exit_status